# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TPrimitiveTypeEntry

Packages that use TPrimitiveTypeEntry
Package
Description
com.databricks.jdbc.common.util
com.databricks.jdbc.model.client.thrift.generated

## Uses of TPrimitiveTypeEntry in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util that return TPrimitiveTypeEntry
Modifier and Type
Method
Description
`static TPrimitiveTypeEntry`
DatabricksTypeUtil.`getTPrimitiveTypeOrDefault(TTypeDesc typeDesc)`

## Uses of TPrimitiveTypeEntry in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TPrimitiveTypeEntry
Modifier and Type
Class
Description
`class`
`TPrimitiveTypeEntry`
`class`
`TPrimitiveTypeEntry`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TPrimitiveTypeEntry
Modifier and Type
Method
Description
`TPrimitiveTypeEntry`
TPrimitiveTypeEntry.`deepCopy()`
`TPrimitiveTypeEntry`
TTypeEntry.`getPrimitiveEntry()`
`TPrimitiveTypeEntry`
TPrimitiveTypeEntry.`setType(TTypeId type)`
`TPrimitiveTypeEntry`
TPrimitiveTypeEntry.`setTypeQualifiers(TTypeQualifiers typeQualifiers)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TPrimitiveTypeEntry
Modifier and Type
Method
Description
`int`
TPrimitiveTypeEntry.`compareTo(TPrimitiveTypeEntry other)`
`boolean`
TPrimitiveTypeEntry.`equals(TPrimitiveTypeEntry that)`
`static TTypeEntry`
TTypeEntry.`primitiveEntry(TPrimitiveTypeEntry value)`
`void`
TTypeEntry.`setPrimitiveEntry(TPrimitiveTypeEntry value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TPrimitiveTypeEntry
Modifier
Constructor
Description
``
`TPrimitiveTypeEntry(TPrimitiveTypeEntry other)`
Performs a deep copy on other.